<?

//función para leer elementos de un archivo
function randfile($file) {
$data = file($file);
return $data[rand(0, count($data)-1)];}



// Definiendo Argumento

$Aleatorio=rand(1,6);

If($Aleatorio==1)
{
$Tema=$Tema."Reclusión en lugar extraño de los PJS. ".trim(randfile("Tema1.txt"));
$Inicio=$Inicio.trim(randfile("Inicio1.txt"));
}
If($Aleatorio==2)
{
$Tema=$Tema."Lugar o persona misteriosa o legendaria. ".trim(randfile("Tema2.txt"));
$Inicio=$Inicio.trim(randfile("Inicio2.txt"));
}
If($Aleatorio==3)
{
$Tema=$Tema."Maldición personal o suceso extraño que afecta de forma directa a los PJS. ".trim(randfile("Tema3.txt"));
$Inicio=$Inicio.trim(randfile("Inicio3.txt"));
}
If($Aleatorio==4)
{
$Tema=$Tema."Los PJ se ven involucrados involuntariamente en medio del plan de un PNJ. ".trim(randfile("Tema4.txt"));
$Inicio=$Inicio.trim(randfile("Inicio4.txt"));
}
If($Aleatorio==5)
{
$Tema=$Tema."Asesinato/Secuestro/Desaparición. ".trim(randfile("Tema5.txt"));
$Inicio=$Inicio.trim(randfile("Inicio5.txt"));
}
If($Aleatorio==6)
{
$Tema=$Tema."Sucesos paranormales o sobrenaturales más frecuentes de lo normal. ".trim(randfile("Tema6.txt"));
$Inicio=$Inicio.trim(randfile("Inicio6.txt"));
}


//Escritura de la tabla del argumento
echo "<table border=1  width=100% colspan=8 cellspacing=0>";
echo"  <tr> <td colspan=8> <b>Argumento</b></td> </tr>";
echo "</table>";
echo "<BR>";

echo "<table border=1  width=100% colspan=8 cellspacing=1>";

echo"      <tr>
               <td colspan=8> <b>Tema:</b> $Tema</td>
      </tr>";
 echo"      <tr>
               <td colspan=8>  <b>Inicio:</b> $Inicio   </td>
      </tr>";
 
echo "</table>";
echo "<BR>";

// Definir escenas iniciales


echo "<table border=1  width=100% colspan=8 cellspacing=0>";
echo"  <tr> <td colspan=8> <b>Escenas iniciales</b></td> </tr>";
echo "</table>";
echo "<BR>";
$Contador=rand(2,4);

for ($i=0; $i<=$Contador; $i++)
{

$Tema=trim(randfile("EscenaInicial.txt"));
$Inicio=trim(randfile("Enlace.txt"));
$Suceso=trim(randfile("Sucesos.txt"));

echo "<table border=1  width=100% colspan=8 cellspacing=0>";
echo"      <tr>
               <td colspan=8> <b>Escena:</b> $Tema</td>
      </tr>";
 echo"      <tr>
               <td colspan=8>  <b>Suceso aleatorio:</b> $Suceso   </td>
      </tr>";
 echo"      <tr>
               <td colspan=8>  <b>Enlace:</b> $Inicio   </td>
      </tr>";
 
echo "</table>";

}

// Definir escenas avanzadas

echo "<BR>";
echo "<table border=1  width=100% colspan=8 cellspacing=0>";
echo"  <tr> <td colspan=8> <b>Escenas avanzadas</b></td> </tr>";
echo "</table>";
echo "<BR>";
$Contador=rand(2,8);

for ($i=0; $i<=$Contador; $i++)
{

$Tema=trim(randfile("Escenas.txt"));
$Inicio=trim(randfile("Enlace.txt"));
$Suceso=trim(randfile("Sucesos.txt"));

echo "<table border=1  width=100% colspan=8 cellspacing=0>";
echo"      <tr>
               <td colspan=8> <b>Escena:</b> $Tema</td>
      </tr>";

 echo"      <tr>
               <td colspan=8>  <b>Suceso aleatorio:</b> $Suceso   </td>
      </tr>";

 echo"      <tr>
               <td colspan=8>  <b>Enlace:</b> $Inicio   </td>
      </tr>";
 
echo "</table>";


}


echo "<BR>";
//Definir final
$Final=trim(randfile("Final.txt"));
echo "<table border=1  width=100% colspan=8 cellspacing=0>";
echo"  <tr> <td colspan=8> <b>Escena final:</b> $Final</td> </tr>";
echo "</table>";

echo "<BR>";
?>

<a href="Index.php">Cargar de nuevo</a> 

